Cannonbolt Portfolio Manager 1.0 - Multiple Vulnerabilities

2014-07-01T00:00:00
ID SSV:74971
Type seebug
Reporter Root
Modified 2014-07-01T00:00:00

Description

No description provided by source.

                                        
                                            
                                                Cannonbolt Portfolio Manager v1.0 Stored XSS and SQL Injection Vulnerabilities


Vendor: IWCn Systems Inc.
Product web page: http://www.iwcn.ws
Affected version: 1.0

Summary: Cannonbolt Portfolio Manager is a sleek and AJAX based
PHP script to manage projects and showcase.

Desc: The application suffers from a stored cross-site scripting
and a SQL Injection vulnerability when input is passed to the
'cname' POST parameter in 'add-category.php' and 'cdel' GET parameter
in 'del.php' script which is not properly sanitised before being
returned to the user or used in SQL queries. This can be exploited
to manipulate SQL queries by injecting arbitrary SQL code or execute
arbitrary HTML and script code in a user's browser session in context
of an affected site.


Tested on: Apache, PHP


Vulnerability discovered by Gjoko 'LiquidWorm' Krstic
                            @zeroscience.mk


Advisory ID: ZSL-2012-5104
Advisory URL: http://www.zeroscience.mk/en/vulnerabilities/ZSL-2012-5104.php



05.09.2012

-------------------------

XSS:
----

 - POST http://localhost/admin/add-category.php HTTP/1.1

        cname="><script>alert("ZSL");</script>



SQLi:
-----

 - POST http://localhost/admin/add-category.php HTTP/1.1

        cname='



SQLi:
-----

 - GET http://localhost/admin/del.php?cdel=%27 HTTP/1.1